package pt.digitalis.sandbox.ioc;

import pt.digitalis.log.ILogWrapper;

import com.google.inject.Inject;

/**
 * PDF implementation for the file exporter utility.
 * 
 * @author Pedro Viegas <a href="mailto:pviegas@digitalis.pt">pviegas@digitalis.pt</a>
 * @author Rodrigo Gonalves <a href="mailto:rgoncalves@digitalis.pt">rgoncalves@digitalis.pt</a><br/>
 * @created Oct 22, 2007
 */
public class FileExporterPDFImpl implements IFileExporter {

    /** The logger. */
    @Inject
    public ILogWrapper logger;

    /**
     * @see pt.digitalis.sandbox.ioc.IFileExporter#exportFile(java.lang.String)
     */
    public boolean exportFile(String fileName) {

        logger.info("Exported " + fileName + " (" + getExporterDescriptor() + ")");

        return true;
    }

    /**
     * @see pt.digitalis.sandbox.ioc.IFileExporter#getExporterDescriptor()
     */
    public String getExporterDescriptor() {
        return "PDF Document file exporter";
    }
}
