package pt.digitalis.sandbox.ioc;

/**
 * Defines the expected behavior for file exporters.
 * 
 * @author Pedro Viegas <a href="mailto:pviegas@digitalis.pt">pviegas@digitalis.pt</a>
 * @author Rodrigo Gonalves <a href="mailto:rgoncalves@digitalis.pt">rgoncalves@digitalis.pt</a><br/>
 * @created Oct 22, 2007
 */
public interface IFileExporter {

    /** 
     * Getter for the exporter's description.
     * 
     * @return the exporter's description
     */
    public String getExporterDescriptor();

    /**
     * Export file method.
     * 
     * @param fileName
     *            the name of the file to save
     * @return T if the operation succeeded, F otherwise
     */
    public boolean exportFile(String fileName);
}
