package pt.digitalis.sandbox.ioc;

import pt.digitalis.log.ILogWrapper;
import pt.digitalis.log.LogWrapperLog4JImpl;
import pt.digitalis.utils.ioc.modules.IIoCModule;
import pt.digitalis.utils.ioc.modules.IoCBinder;

/**
* Defines the IoC bindings for the project.
*
* @author Pedro Viegas <a href="mailto:pviegas@digitalis.pt">pviegas@digitalis.pt</a>
* @author Rodrigo Gonalves <a href="mailto:rgoncalves@digitalis.pt">rgoncalves@digitalis.pt</a><br/>
* @created Oct 22, 2007
*/
public class SampleModule implements IIoCModule {

    /**
     * @see pt.digitalis.utils.ioc.modules.IIoCModule#configure(pt.digitalis.utils.ioc.modules.IoCBinder)
     */
    public void configure(IoCBinder binder) {
        binder.bind(ILogWrapper.class, LogWrapperLog4JImpl.class);
        
        binder.bind(IFileExporter.class,FileExporterDocImpl.class).withId("doc");
        binder.bind(IFileExporter.class,FileExporterHTMLImpl.class).withId("html");
        binder.bind(IFileExporter.class, FileExporterPDFImpl.class).withId("pdf");
    }
}
